Issue 11178

Title
Shipment cost not added to sale with only kit
Priority
bug
Status
resolved
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2022-01-25.16:56:44 by ced, last changed 3 months ago by roundup-bot.

Messages

New changeset aabc24daa5fe by Cédric Krier in branch '6.2':
Add shipment cost also for kit
https://hg.tryton.org/modules/sale_shipment_cost/rev/aabc24daa5fe

New changeset 1cbf19fb0f7d by Cédric Krier in branch '6.0':
Add shipment cost also for kit
https://hg.tryton.org/modules/sale_shipment_cost/rev/1cbf19fb0f7d
New changeset af2893774ed2 by Cédric Krier in branch 'default':
Add shipment cost also for kit
https://hg.tryton.org/tryton-env/rev/af2893774ed2
New changeset 8693733aa9bd by Cédric Krier in branch 'default':
Add shipment cost also for kit
https://hg.tryton.org/modules/sale_shipment_cost/rev/8693733aa9bd
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-01-25.16:58:49

review374791002 can only be backported to 6.2 (other series are missing get_move_product_types).

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-01-25.16:56:44

The kit type is not in the Move.get_product_types (on purpose) but sale_shipment_cost uses it to decide if there are shipments and so cost.
Indeed we should rely on SaleLine.get_move_product_types which was added by issue10693.

History
Date User Action Args
2022-02-07 23:36:30roundup-botsetkeyword: - backport
messages: + msg73942
2022-02-03 22:23:30roundup-botsetmessages: + msg73762
2022-02-03 22:23:21roundup-botsetmessages: + msg73761
nosy: + roundup-bot
status: testing -> resolved
2022-01-25 17:18:04reviewbotsetmessages: + msg73535
nosy: + reviewbot
2022-01-25 16:58:49cedsetkeyword: + backport, review
messages: + msg73534
reviews: 374791002
status: in-progress -> testing
2022-01-25 16:56:44cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)